Subject: Re: gitk : french translation

From: Emmanuel Trillaud <[email-masked]>
Date: Thu, 19 Nov 2009 20:47:53 +0100

I finally took some time to improve the gitk french translation V2. The
V3 address most of the comments of Nicolas. I respond to this message
with the actual V3.

> 
> Line wraping error; configure your mail user agent to not wrap lines,
> please.
> 
> > +#FIXME : améliorer la traduction de 'file limite'
> 
> If you add some FIXME (which is good), you also should mark the
> translation as "fuzzy" like this:
In those cases, I either improve the translations or mark them fuzzy

> 
> 
> > +#: gitk:1793 gitk:1817 gitk:3916 gitk:8786 gitk:10322 gitk:10498
> > +msgid "OK"
> > +msgstr "OK"
> 
> This one should not be required.
Those strings are already "translated", so I see no reason to
remove the translation (if the strings change !? we'll have translate
them anyway)

> > +#: gitk:2713
> > +msgid "/\t\tFocus the search box"
> > +msgstr "/"
...

> > +# FIXME : traduction de "skip"
> 
> "éviter"?
> 
> > +#: gitk:3697
> > +msgid "Limit and/or skip a number of revisions (positive integer):"
> > +msgstr "Limiter et/ou sauter un certain nombre (entier positif) de révision :"
...

> > +#FIXME : traduction de "branch sides"
> > +#: gitk:3702
> 
> #, fuzzy
> 
> > +msgid "Mark branch sides"
> > +msgstr "Marquer le flanc des branches"
> 
> What about "côté"?
I choose "extrémités" but I let the string fuzzy

> > +#FIXME : plutôt traduire par "pas un descendant"
> > +#: gitk:4606
> 
> #, fuzzy
> 
> > +msgid "Not descendant"
> > +msgstr "Non descendant"
I use "Pas un descendant"

> > +#FIXME : plutôt traduire par "pas un ancêtre"
> > +#: gitk:4614
> 
> #, fuzzy
> 
> > +msgid "Not ancestor"
> > +msgstr "Non ancêtre"
I use "Pas un ancêtre"

> > +#: gitk:9257
> > +msgid ""
> > +"Error reading commit topology information; branch and preceding/following "
> > +"tag information will be incomplete."
> > +msgstr ""
> > +"Erreur à la lecture des informations sur la topology des commits. "
> 
> s/topology/topologie/
> s/./ ;/
I use "," instead. We don't use the ";" often in french.

> > +#: gitk:10441
> > +msgid "Support per-file encodings"
> > +msgstr "Support pour un encodage de caractère par fichier"
> 
> s/de caractère/ des caractères/
> 

> -- 
> Nicolas Sebrecht

-- 
Emmanuel Trillaud <[email-masked]>